<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{{url_for('static',filename='dist/output.css')}}">
    <title>Tuks Shop - Login</title>
</head>
<body class="font-koulen uppercase bg-grey">
    <div class="container h-screen px-4 flex flex-col gap-16 items-center justify-center mx-auto">

        <img src="{{ url_for('static', filename='images/logo.svg') }}" alt="">
        {% with messages = get_flashed_messages() %}
            {% if messages %}
                {% for message in messages %}
                    <label class="text-white">{{ message }}</label>
                {% endfor %}
            {% endif %}
        {% endwith %}
        <form class="min-w-64 flex flex-col gap-4" action="/reset-password/{{token}}" method="POST">
            <label class="text-white" for="password">
                <p>Password</p>
                <input class="w-full bg-grey-light px-4 py-2 text-yellow rounded-lg focus:outline-none" type="password" id="password" name="password" required>
            </label>
            <label class="text-white" for="repeat">
                <p>Repeat</p>
                <input class="w-full bg-grey-light px-4 py-2 text-yellow rounded-lg focus:outline-none" type="password" id="repeat" name="repeat" required>
            </label>
            <input class="text-2xl  px-4 py-1 bg-yellow rounded-lg hover:cursor-pointer focus:outline-none" type="submit" value="Change password">
        </form>

        <p class="text-yellow">{{ message }}</p>

    </div>
</body>
</html>